Create Category
curl --request POST \
--url https://api.proced.ai/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "New Category Title"
}
'import requests
url = "https://api.proced.ai/categories"
payload = { "name": "New Category Title" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'New Category Title'})
};
fetch('https://api.proced.ai/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cm2uqwcpd002s7xta3b1j8q3p",
"name": "New Category Title",
"workspaceId": "cm2uj5ffn001x7xtag73jmpx0",
"createdAt": "2024-01-01T09:00:00.000Z"
}{
"code": "disconnected",
"message": "The login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information.",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}Categories
Create Category
POST
/
categories
Create Category
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name or title of the category
Example:
"New Category Title"
Response
Create Category
Unique project ID, typically generated automatically
Example:
"cm2uqwcpd002s7xta3b1j8q3p"
The name or title of the category
Example:
"New Category Title"
Workspace ID to which the project belongs
Example:
"cm2uj5ffn001x7xtag73jmpx0"
The creation date and time of the project, set automatically
Example:
"2024-01-01T09:00:00.000Z"
⌘I